{
  "@context": {
    "gax-participant": "http://w3id.org/gaia-x/participant#",
    "gax-service": "http://w3id.org/gaia-x/service#",
    "dct": "http://purl.org/dc/terms/",
    "sh": "http://www.w3.org/ns/shacl#",
    "xsd": "http://www.w3.org/2001/XMLSchema#",
    "gax-validation": "http://w3id.org/gaia-x/validation#",
    "gax-node": "http://w3id.org/gaia-x/node#",
    "vcard": "http://www.w3.org/2006/vcard/ns#",
    "dcat": "http://www.w3.org/ns/dcat#",
    "gax-resource": "http://w3id.org/gaia-x/resource#",
    "gax-core": "http://w3id.org/gaia-x/core#"
  },
  "@id": "ServiceOffering-{{'{:0=10}'.format(range(0, 9999999999) | random) }}",
  "@type": "gax-service:ServiceOffering",
  "gax-service:hasServiceTitle": {
    {% set list = output_path.split('/') %}
    "@value": "{{ list[1] }}",
    "@type": "xsd:string"
  },
  "dct:description": {
    "@value": "Gaia-X self-description generated by PIACERE ICG",
    "@type": "xsd:string"
  },
  "dcat:keyword": [
    "Service",
    {%- for step in steps %} {% if step.data.provider_info is defined %}
    {%- if step.data.provider_info[0].provider_name is defined %}
    "{{ step.data.provider_info[0].provider_name }}",
    {%- endif %}{%- endif %}{% endfor %}
    "IaC",
    "Terraform"
  ],
  "gax-service:maintainedBy": [
    "PIACERE Community"
  ],
  "gax-service:hasProvisionType": {
    "@value": "Hybrid",
    "@type": "xsd:string"
  },
  "gax-service:hostedOn": {
    {%- for step in steps %} {% if step.data.provider_info is defined %}
    {%- if step.data.provider_info[0].provider_name is defined %}
    "@id": "{{ step.data.provider_info[0].provider_name }}",
    {%- endif %}{%- endif %}{% endfor %}
    "@type": "gax-participant:Provider"
  },
  "gax-service:infrastructureAsCode": [
    {
      "@type": "iac:DOML",
      "iac:url": {
        "@value": {% raw %}"{{User placeholder: URL to the DOML source in Git}}",{% endraw %}
        "@type": "xsd:anyURI"
      }
    },
    {
      "@type": "iac:terraform",
      "iac:url": {
        "@value": {% raw %}"{{User placeholder: URL to the ICG result}}",{% endraw %}
        "@type": "xsd:anyURI"
      }
    }
  ]
}
